Forum

Methodology

Toolbox

Platform

Community

The translation of this article into your language is missing, you can help us translate.

История изменений

0.11.0

  • Добавлена опция schemeBuilder (@dmkoval #62).

0.10.0

Крупные изменения

  • Добавлена возможность использовать другие препроцессоры с помощью опции cssEngine (@tadatuta #60).

Зависимости

  • Модуль enb-borschik@2.3.1 обновлён до версии 2.4.0.
  • Модуль enb-stylus@2.3.2 обновлён до версии 2.4.0.
  • Модуль inherit@2.2.3 обновлён до версии 2.2.6.
  • Модуль istanbul@0.4.2 обновлён до версии 0.4.5.
  • Модуль lodash@4.7.0 обновлён до версии 4.16.1.

0.9.0

Крупные изменения

  • Добавлена возможность использовать другие шаблонизаторы с помощью опции templateEngine (@kompolom) #51.
  • Добавлена возможность подключать дополнительные скрипты для тестов с помощью опции scripts (@rakchaev) #42.
  • Добавлена возможность отключать YModules с помощью includeYM: false (@iniel) [#46].
  • Добавлена поддержка npm@3 (@just-boris) #47.

Зависимости

  • Модуль bem-naming@0.5.1 обновлён до версии 1.0.1.
  • Модуль enb-bem-i18n@1.1.0 обновлён до версии 1.1.1.
  • Модуль enb-bem-techs@2.1.0 обновлён до версии 2.2.1.
  • Модуль enb-bemxjst@2.1.0 обновлён до версии 2.2.0.
  • Модуль enb-borschik@2.1.0 обновлён до версии 2.3.1.
  • Модуль enb-stylus@2.1.0 обновлён до версии 2.3.2.
  • Модуль inherit@2.2.2 обновлён до версии 2.2.3.
  • Модуль lodash@0.3.20 обновлён до версии 0.4.2.
  • Модуль phantomjs@1.9.18 обновлён до версии 1.9.20.
  • Модуль vow@0.4.10 обновлён до версии 0.4.12.

0.8.0

Крупные изменения

  • Добавлена поддержка enb версии 1.x (#44).

Зависимости

  • Модуль enb-bem-i18n@1.0.1 обновлён до версии 1.1.0.
  • Модуль enb-bem-pseudo-levels@0.2.6 обновлён до версии 0.3.0.
  • Модуль enb-bem-techs@2.0.1 обновлён до версии 2.1.0.
  • Модуль enb-bemxjst@2.0.2 обновлён до версии 2.1.0.
  • Модуль enb-borschik@2.0.0 обновлён до версии 2.1.0.
  • Модуль enb-stylus@2.0.0 обновлён до версии 2.1.0.

0.7.2

  • Исправлена зависимость от модуля ym.

0.7.1

  • Модуль enb-bem-i18n@1.0.0 обновлён до версии 1.0.1.

0.7.0

Крупные изменения

  • Добавлена поддержка i18n (#39). Чтобы включить в сборку i18n используйте опцию langs: true.

Зависимости

  • Модуль enb-bem-techs@1.0.4 обновлён до версии 2.0.0.
  • Модуль enb-bemxjst@1.3.4 обновлён до версии 2.0.2.
  • Модуль enb-borschik@1.5.1 обновлён до версии 2.0.0.
  • Модуль enb-stylus@1.2.3 обновлён до версии 2.0.0.
  • Модуль istanbul@0.3.17 обновлён до версии 0.3.20.
  • Модуль phantomjs@1.9.17 обновлён до версии 1.9.18.

0.6.0

Крупные изменения

  • Добавлена опция depsTech для выбора между технологиями deps и deps-old (#37).

Зависимости

  • Модуль lodash@3.10.0 обновлён до версии 3.10.1.

0.5.7

Исправления ошибок

  • Исправлена ошибка, из-за которой в отчёт о покрытии кода тестами попадали spec.js файлы (#25).
  • В отчёт о покрытии кода тестами теперь будут попадать файлы, на которые не написаны тесты (#29).

Зависимости

  • Модуль borschik-tech-istanbul@0.2.0 обновлён до версии 0.3.0.
  • Модуль enb-borschik@1.5.0 обновлён до версии 1.5.1.
  • Модуль istanbul@0.3.10 обновлён до версии 0.3.17.
  • Модуль lodash@3.5.0 обновлён до версии 3.10.0.
  • Модуль phantomjs@1.9.16 обновлён до версии 1.9.17.
  • Модуль vow@0.4.9 обновлён до версии 0.4.10.

0.5.6

  • Исправлена ошибка, из-за которой не учитывались BEMHTML-зависимости для тестов (#22).
  • Модуль enb-bem-techs@1.0.3 обновлён до версии 1.0.4.
  • Модуль enb-stylus@1.2.2 обновлён до версии 1.2.3.
  • Модуль istanbul@0.3.6 обновлён до версии 0.3.10.
  • Модуль lodash@3.2.0 обновлён до версии 3.5.0.
  • Модуль phantomjs@1.9.15 обновлён до версии 1.9.16.
  • Модуль vow@0.4.8 обновлён до версии 0.4.9.

0.5.5

  • Исправлена ошибка, из-за которой тесты блока запускались в тестах его элементов и модификаторов (#19).
  • Модуль enb-bem-techs@1.0.2 обновлён до версии 1.0.3.
  • Модуль enb-borschik@1.4.0 обновлён до версии 1.5.0.
  • Модуль enb-stylus@1.2.0 обновлён до версии 1.2.2.
  • Модуль istanbul@0.3.5 обновлён до версии 0.3.6.
  • Модуль lodash@3.0.0 обновлён до версии 3.2.0.
  • Модуль phantomjs@1.9.13 обновлён до версии 1.9.15.

0.5.4

  • Исправлена обработка ошибок, возникающих при выполнении тестов (#14).
  • Модуль lodash@2.4.1 обновлён до версии 3.0.0.
  • Модуль bem-naming@0.5.0 обновлён до версии 0.5.1.
  • Модуль mocha-phantomjs@3.5.2 обновлён до версии 3.5.3.
  • Модуль phantomjs@1.9.12 обновлён до версии 1.9.13.
  • Модуль enb-bem-techs@1.0.0 обновлён до версии 1.0.2.
  • Модуль enb-bemxjst@1.3.3 обновлён до версии 1.3.4.
  • Модуль vow@0.4.7 обновлён до версии 0.4.8.

0.5.3

  • Исправлены ошибки при использовании в Windows.
  • Модуль bem-naming обновлён до версии 0.5.0.
  • Модуль enb-bem-pseudo-levels обновлён до версии 0.2.6.
  • Модуль istanbul обновлён до версии 0.3.5.
  • Модуль mocha-phantomjs обновлён до версии 3.5.2.

0.5.2

  • Модуль enb-bem-techs обновлён до версии 1.0.0.
  • Модуль enb-stylus обновлён до версии 1.2.0.

0.5.1

  • Тесты не будут запускаться в pre режиме magic-нод.
  • Модуль bem-naming обновлён до версии 0.4.0.
  • Модуль enb-bemxjst обновлён до версии 1.3.3.
  • Модуль enb-borschik обновлён до версии 1.4.0.
  • Модуль phantomjs обновлён до версии 1.9.12.
  • Модуль vow обновлён до версии 0.4.7.

0.5.0

  • Переход на enb-magic-factory@0.3.x.
  • Модуль vow обновлён до версии 0.4.6.
  • Модуль phantomjs обновлён до версии 1.9.11.
  • Модуль mocha-phantomjs обновлён до версии 3.5.1.
  • Модуль enb-stylus обновлён до версии 1.1.5.
  • Модуль enb-bem-techs обновлён до версии 0.1.0-rc.
If you notice a mistake or want something to supplement the article, you can always write to us at GitHub, or correct an article using prose.io.